Bug 243650 - security/pwauth: Unbreak and make fetchable again
Summary: security/pwauth: Unbreak and make fetchable again
Status: Closed DUPLICATE of bug 244289
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-27 14:29 UTC by Benjamin Lutz
Modified: 2020-05-15 19:50 UTC (History)
2 users (show)

See Also:


Attachments
Patch to unbreak security/pwauth (581 bytes, patch)
2020-01-27 14:29 UTC, Benjamin Lutz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Lutz 2020-01-27 14:29:55 UTC
Created attachment 211102 [details]
Patch to unbreak security/pwauth

Unbreak the security/pwauth port. The original download site (unixpapa.com) works again, but for good measure add another master site (google code archive).
Comment 1 Benjamin Lutz 2020-01-27 14:30:36 UTC
Comment on attachment 211102 [details]
Patch to unbreak security/pwauth

>diff -ruN security/pwauth.old/Makefile security/pwauth/Makefile
>--- security/pwauth.old/Makefile	2020-01-27 15:04:12.532211000 +0100
>+++ security/pwauth/Makefile	2020-01-27 15:17:19.994012000 +0100
>@@ -4,12 +4,11 @@
> PORTNAME=	pwauth
> PORTVERSION=	2.3.11
> CATEGORIES=	security www
>-MASTER_SITES=	http://www.unixpapa.com/software/
>+MASTER_SITES=	https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/pwauth/ \
>+		http://www.unixpapa.com/software/
> 
> MAINTAINER=	eg@fbsd.lt
> COMMENT=	Unix Web Authenticator
>-
>-BROKEN=		unfetchable
> 
> LICENSE=	BSD3CLAUSE
>
Comment 2 Rene Ladan freebsd_committer 2020-05-12 18:11:20 UTC
Google Code was shut down in 2016, the provided backup is really just a relic of the past. The original site is up but does not ship the distribution file anymore (at least not that version). The project has moved to GitHub: https://github.com/phokz/pwauth/tree/master/pwauth

Can you update the port to use GitHub instead?
Comment 3 Rene Ladan freebsd_committer 2020-05-12 18:15:31 UTC
(In reply to Rene Ladan from comment #2)
Hmm, so GitHub is behind on Google Code. See also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244289
Comment 4 Rene Ladan freebsd_committer 2020-05-12 18:24:18 UTC

*** This bug has been marked as a duplicate of bug 244289 ***
Comment 5 commit-hook freebsd_committer 2020-05-12 19:27:15 UTC
A commit references this bug:

Author: rene
Date: Tue May 12 19:26:46 UTC 2020
New revision: 535006
URL: https://svnweb.freebsd.org/changeset/ports/535006

Log:
  security/pwauth: fix fetch and undeprecate

  PR:		243650 [1]
  PR:		244289 [2]
  Submitted by:	Benjamin Lutz [1]
  Submitted by:	ian [2]
  Approved by:	maintainer
  MFH:		2020Q2

Changes:
  head/security/pwauth/Makefile
  head/security/pwauth/files/patch-checkfaillog.c
  head/security/pwauth/files/patch-config.h
  head/security/pwauth/files/patch-fail__check.c
  head/security/pwauth/files/patch-pwauth.h
  head/security/pwauth/files/patch-utmpx
Comment 6 commit-hook freebsd_committer 2020-05-15 19:50:18 UTC
A commit references this bug:

Author: rene
Date: Fri May 15 19:49:51 UTC 2020
New revision: 535330
URL: https://svnweb.freebsd.org/changeset/ports/535330

Log:
  MFH: r535006

  security/pwauth: fix fetch and undeprecate

  PR:		243650 [1]
  PR:		244289 [2]
  Submitted by:	Benjamin Lutz [1]
  Submitted by:	ian [2]
  Approved by:	maintainer

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/security/pwauth/Makefile
  branches/2020Q2/security/pwauth/files/patch-checkfaillog.c
  branches/2020Q2/security/pwauth/files/patch-config.h
  branches/2020Q2/security/pwauth/files/patch-fail__check.c
  branches/2020Q2/security/pwauth/files/patch-pwauth.h
  branches/2020Q2/security/pwauth/files/patch-utmpx